summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2014-07-15 18:30:41 +0000
committerPacho Ramos <pacho@gentoo.org>2014-07-15 18:30:41 +0000
commitace86b67b3a64331f10487231fad72a9032f9348 (patch)
tree75eac9e17a324cc9172ec1d24119132d4afe2fb8 /sys-apps
parentAdd 5.20 version of XSLoader to perl-5.20 mask (diff)
downloadgentoo-2-ace86b67b3a64331f10487231fad72a9032f9348.tar.gz
gentoo-2-ace86b67b3a64331f10487231fad72a9032f9348.tar.bz2
gentoo-2-ace86b67b3a64331f10487231fad72a9032f9348.zip
Fix building in ppc* (#517174 by Mike Gilbert), drop old
(Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key A188FBD4)
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/systemd/ChangeLog9
-rw-r--r--sys-apps/systemd/files/215-0001-always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch116
-rw-r--r--sys-apps/systemd/files/215-0002-endian-explicitly-include-endian.h-wherever-we-want-.patch53
-rw-r--r--sys-apps/systemd/systemd-208-r3.ebuild394
-rw-r--r--sys-apps/systemd/systemd-214.ebuild461
-rw-r--r--sys-apps/systemd/systemd-214_p57.ebuild468
-rw-r--r--sys-apps/systemd/systemd-215-r1.ebuild7
7 files changed, 183 insertions, 1325 deletions
diff --git a/sys-apps/systemd/ChangeLog b/sys-apps/systemd/ChangeLog
index 30d1d5f3ddc2..3cc95278a3d4 100644
--- a/sys-apps/systemd/ChangeLog
+++ b/sys-apps/systemd/ChangeLog
@@ -1,6 +1,13 @@
# ChangeLog for sys-apps/systemd
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v 1.288 2014/07/15 10:01:25 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v 1.289 2014/07/15 18:30:40 pacho Exp $
+
+ 15 Jul 2014; Pacho Ramos <pacho@gentoo.org>
+ +files/215-0001-always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch,
+ +files/215-0002-endian-explicitly-include-endian.h-wherever-we-want-.patch,
+ -systemd-208-r3.ebuild, -systemd-214.ebuild, -systemd-214_p57.ebuild,
+ systemd-215-r1.ebuild:
+ Fix building in ppc* (#517174 by Mike Gilbert), drop old
15 Jul 2014; Pacho Ramos <pacho@gentoo.org> -systemd-213.ebuild,
-systemd-215.ebuild, systemd-215-r1.ebuild, systemd-9999.ebuild:
diff --git a/sys-apps/systemd/files/215-0001-always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch b/sys-apps/systemd/files/215-0001-always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch
new file mode 100644
index 000000000000..b29c10de0c93
--- /dev/null
+++ b/sys-apps/systemd/files/215-0001-always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch
@@ -0,0 +1,116 @@
+From 28f6bb18cdea297164763db94e2366ca4857c9c7 Mon Sep 17 00:00:00 2001
+From: Lennart Poettering <lennart@poettering.net>
+Date: Fri, 11 Jul 2014 15:56:16 +0200
+Subject: [PATCH 1/2] always check for __BYTE_ORDER == __BIG_ENDIAN when
+ checking for endianess
+
+Let's always stick to glibc's way to determine byte order, and not mix
+autoconf-specific checks with gcc checks.
+---
+ src/shared/architecture.h | 12 ++++++------
+ src/shared/gpt.h | 4 ++--
+ src/shared/time-dst.c | 6 +++---
+ 3 files changed, 11 insertions(+), 11 deletions(-)
+
+diff --git a/src/shared/architecture.h b/src/shared/architecture.h
+index 4821d5d..58e97e5 100644
+--- a/src/shared/architecture.h
++++ b/src/shared/architecture.h
+@@ -80,7 +80,7 @@ Architecture uname_architecture(void);
+ # define native_architecture() ARCHITECTURE_X86
+ # define LIB_ARCH_TUPLE "i386-linux-gnu"
+ #elif defined(__powerpc64__)
+-# if defined(WORDS_BIGENDIAN)
++# if __BYTE_ORDER == __BIG_ENDIAN
+ # define native_architecture() ARCHITECTURE_PPC64
+ # define LIB_ARCH_TUPLE "ppc64-linux-gnu"
+ # else
+@@ -88,7 +88,7 @@ Architecture uname_architecture(void);
+ # error "Missing LIB_ARCH_TUPLE for PPC64LE"
+ # endif
+ #elif defined(__powerpc__)
+-# if defined(WORDS_BIGENDIAN)
++# if __BYTE_ORDER == __BIG_ENDIAN
+ # define native_architecture() ARCHITECTURE_PPC
+ # define LIB_ARCH_TUPLE "powerpc-linux-gnu"
+ # else
+@@ -117,7 +117,7 @@ Architecture uname_architecture(void);
+ # define native_architecture() ARCHITECTURE_SPARC
+ # define LIB_ARCH_TUPLE "sparc-linux-gnu"
+ #elif defined(__mips64__)
+-# if defined(WORDS_BIGENDIAN)
++# if __BYTE_ORDER == __BIG_ENDIAN
+ # define native_architecture() ARCHITECTURE_MIPS64
+ # error "Missing LIB_ARCH_TUPLE for MIPS64"
+ # else
+@@ -125,7 +125,7 @@ Architecture uname_architecture(void);
+ # error "Missing LIB_ARCH_TUPLE for MIPS64_LE"
+ # endif
+ #elif defined(__mips__)
+-# if defined(WORDS_BIGENDIAN)
++# if __BYTE_ORDER == __BIG_ENDIAN
+ # define native_architecture() ARCHITECTURE_MIPS
+ # define LIB_ARCH_TUPLE "mips-linux-gnu"
+ # else
+@@ -136,7 +136,7 @@ Architecture uname_architecture(void);
+ # define native_architecture() ARCHITECTURE_ALPHA
+ # define LIB_ARCH_TUPLE "alpha-linux-gnu"
+ #elif defined(__aarch64__)
+-# if defined(WORDS_BIGENDIAN)
++# if __BYTE_ORDER == __BIG_ENDIAN
+ # define native_architecture() ARCHITECTURE_ARM64_BE
+ # define LIB_ARCH_TUPLE "aarch64_be-linux-gnu"
+ # else
+@@ -144,7 +144,7 @@ Architecture uname_architecture(void);
+ # define LIB_ARCH_TUPLE "aarch64-linux-gnu"
+ # endif
+ #elif defined(__arm__)
+-# if defined(WORDS_BIGENDIAN)
++# if __BYTE_ORDER == __BIG_ENDIAN
+ # define native_architecture() ARCHITECTURE_ARM_BE
+ # if defined(__ARM_EABI__)
+ # if defined(__ARM_PCS_VFP)
+diff --git a/src/shared/gpt.h b/src/shared/gpt.h
+index 64090e0..278940b 100644
+--- a/src/shared/gpt.h
++++ b/src/shared/gpt.h
+@@ -42,10 +42,10 @@
+ # define GPT_ROOT_NATIVE GPT_ROOT_X86
+ #endif
+
+-#if defined(__aarch64__) && !defined(WORDS_BIGENDIAN)
++#if defined(__aarch64__) && (__BYTE_ORDER != __BIG_ENDIAN)
+ # define GPT_ROOT_NATIVE GPT_ROOT_ARM_64
+ # define GPT_ROOT_SECONDARY GPT_ROOT_ARM
+-#elif defined(__arm__) && !defined(WORDS_BIGENDIAN)
++#elif defined(__arm__) && (__BYTE_ORDER != __BIG_ENDIAN)
+ # define GPT_ROOT_NATIVE GPT_ROOT_ARM
+ #endif
+
+diff --git a/src/shared/time-dst.c b/src/shared/time-dst.c
+index ceca2fa..6195b11 100644
+--- a/src/shared/time-dst.c
++++ b/src/shared/time-dst.c
+@@ -207,8 +207,8 @@ read_again:
+ if (type_idxs[i] >= num_types)
+ return -EINVAL;
+
+- if (BYTE_ORDER == BIG_ENDIAN ? sizeof(time_t) == 8 && trans_width == 4
+- : sizeof(time_t) == 4 || trans_width == 4) {
++ if (__BYTE_ORDER == __BIG_ENDIAN ? sizeof(time_t) == 8 && trans_width == 4
++ : sizeof(time_t) == 4 || trans_width == 4) {
+ /* Decode the transition times, stored as 4-byte integers in
+ network (big-endian) byte order. We work from the end of
+ the array so as not to clobber the next element to be
+@@ -216,7 +216,7 @@ read_again:
+ i = num_transitions;
+ while (i-- > 0)
+ transitions[i] = decode((char *)transitions + i * 4);
+- } else if (BYTE_ORDER != BIG_ENDIAN && sizeof(time_t) == 8) {
++ } else if (__BYTE_ORDER != __BIG_ENDIAN && sizeof(time_t) == 8) {
+ /* Decode the transition times, stored as 8-byte integers in
+ network (big-endian) byte order. */
+ for (i = 0; i < num_transitions; ++i)
+--
+1.8.5.5
+
diff --git a/sys-apps/systemd/files/215-0002-endian-explicitly-include-endian.h-wherever-we-want-.patch b/sys-apps/systemd/files/215-0002-endian-explicitly-include-endian.h-wherever-we-want-.patch
new file mode 100644
index 000000000000..71acac1b00d7
--- /dev/null
+++ b/sys-apps/systemd/files/215-0002-endian-explicitly-include-endian.h-wherever-we-want-.patch
@@ -0,0 +1,53 @@
+From 2281422746c00d2803911f2b4699eee6bc87ee04 Mon Sep 17 00:00:00 2001
+From: Lennart Poettering <lennart@poettering.net>
+Date: Fri, 11 Jul 2014 16:13:13 +0200
+Subject: [PATCH 2/2] endian: explicitly include endian.h wherever we want to
+ use __BYTE_ORDER
+
+---
+ src/libsystemd/sd-bus/bus-protocol.h | 1 +
+ src/shared/architecture.h | 2 ++
+ src/shared/gpt.h | 2 ++
+ 3 files changed, 5 insertions(+)
+
+diff --git a/src/libsystemd/sd-bus/bus-protocol.h b/src/libsystemd/sd-bus/bus-protocol.h
+index 5046d17..4f46468 100644
+--- a/src/libsystemd/sd-bus/bus-protocol.h
++++ b/src/libsystemd/sd-bus/bus-protocol.h
+@@ -21,6 +21,7 @@
+ along with systemd; If not, see <http://www.gnu.org/licenses/>.
+ ***/
+
++#include <endian.h>
+
+ /* Endianness */
+
+diff --git a/src/shared/architecture.h b/src/shared/architecture.h
+index 58e97e5..38780d1 100644
+--- a/src/shared/architecture.h
++++ b/src/shared/architecture.h
+@@ -21,6 +21,8 @@
+ along with systemd; If not, see <http://www.gnu.org/licenses/>.
+ ***/
+
++#include <endian.h>
++
+ #include "util.h"
+
+ /* A cleaned up architecture definition. We don't want to get lost in
+diff --git a/src/shared/gpt.h b/src/shared/gpt.h
+index 278940b..ef3444f 100644
+--- a/src/shared/gpt.h
++++ b/src/shared/gpt.h
+@@ -19,6 +19,8 @@
+ along with systemd; If not, see <http://www.gnu.org/licenses/>.
+ ***/
+
++#include <endian.h>
++
+ #include "sd-id128.h"
+
+ /* We only support root disk discovery for x86, x86-64 and ARM for
+--
+1.8.5.5
+
diff --git a/sys-apps/systemd/systemd-208-r3.ebuild b/sys-apps/systemd/systemd-208-r3.ebuild
deleted file mode 100644
index 1656cf12418d..000000000000
--- a/sys-apps/systemd/systemd-208-r3.ebuild
+++ /dev/null
@@ -1,394 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-208-r3.ebuild,v 1.8 2014/06/24 22:17:59 mgorny Exp $
-
-EAPI=5
-
-AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
-PYTHON_COMPAT=( python{2_7,3_2,3_3} )
-inherit autotools-utils bash-completion-r1 fcaps linux-info multilib \
- multilib-minimal pam python-single-r1 systemd toolchain-funcs udev \
- user
-
-DESCRIPTION="System and service manager for Linux"
-HOMEPAGE="http://www.freedesktop.org/wiki/Software/systemd"
-SRC_URI="http://www.freedesktop.org/software/systemd/${P}.tar.xz -> ${P}-r1.tar.xz
- http://dev.gentoo.org/~mgorny/dist/${PN}-gentoo-patchset-${PV}_p19.tar.bz2"
-
-LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0/1"
-KEYWORDS="alpha amd64 arm ia64 ppc ppc64 sparc x86"
-IUSE="acl audit cryptsetup doc +firmware-loader gcrypt gudev http introspection
- +kmod lzma pam policykit python qrcode selinux tcpd test
- vanilla xattr"
-
-MINKV="3.0"
-
-COMMON_DEPEND=">=sys-apps/dbus-1.6.8-r1
- >=sys-apps/util-linux-2.20
- sys-libs/libcap
- acl? ( sys-apps/acl )
- audit? ( >=sys-process/audit-2 )
- cryptsetup? ( >=sys-fs/cryptsetup-1.6 )
- gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0 )
- gudev? ( >=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}] )
- http? ( net-libs/libmicrohttpd )
- introspection? ( >=dev-libs/gobject-introspection-1.31.1 )
- kmod? ( >=sys-apps/kmod-14-r1 )
- lzma? ( >=app-arch/xz-utils-5.0.5-r1[${MULTILIB_USEDEP}] )
- pam? ( virtual/pam )
- python? ( ${PYTHON_DEPS} )
- qrcode? ( media-gfx/qrencode )
- selinux? ( sys-libs/libselinux )
- tcpd? ( sys-apps/tcp-wrappers )
- xattr? ( sys-apps/attr )
- abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r9
- !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
-
-# baselayout-2.2 has /run
-RDEPEND="${COMMON_DEPEND}
- >=sys-apps/baselayout-2.2
- || (
- >=sys-apps/util-linux-2.22
- <sys-apps/sysvinit-2.88-r4
- )
- !sys-auth/nss-myhostname
- !<sys-libs/glibc-2.10
- !sys-fs/udev"
-
-PDEPEND=">=sys-apps/hwids-20130717-r1[udev]
- >=sys-fs/udev-init-scripts-25
- policykit? ( sys-auth/polkit )
- !vanilla? ( sys-apps/gentoo-systemd-integration )"
-
-# Newer linux-headers needed by ia64, bug #480218
-DEPEND="${COMMON_DEPEND}
- app-arch/xz-utils
- app-text/docbook-xml-dtd:4.2
- app-text/docbook-xsl-stylesheets
- dev-libs/libxslt
- dev-util/gperf
- >=dev-util/intltool-0.50
- >=sys-devel/binutils-2.23.1
- >=sys-devel/gcc-4.6
- >=sys-kernel/linux-headers-${MINKV}
- ia64? ( >=sys-kernel/linux-headers-3.9 )
- virtual/pkgconfig
- doc? ( >=dev-util/gtk-doc-1.18 )"
-
-pkg_pretend() {
- local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS ~DEVTMPFS ~DMIID
- ~EPOLL ~FANOTIFY ~FHANDLE ~INOTIFY_USER ~IPV6 ~NET ~PROC_FS
- ~SECCOMP ~SIGNALFD ~SYSFS ~TIMERFD
- ~!IDE ~!SYSFS_DEPRECATED ~!SYSFS_DEPRECATED_V2
- ~!GRKERNSEC_PROC"
-
- use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
- use pam && CONFIG_CHECK+=" ~AUDITSYSCALL"
- use xattr && CONFIG_CHECK+=" ~TMPFS_XATTR"
- kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
- use firmware-loader || CONFIG_CHECK+=" ~!FW_LOADER_USER_HELPER"
-
- if linux_config_exists; then
- local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
- if [ -n "${uevent_helper_path}" ] && [ "${uevent_helper_path}" != '""' ]; then
- ewarn "It's recommended to set an empty value to the following kernel config option:"
- ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
- fi
- fi
-
- if [[ ${MERGE_TYPE} != binary ]]; then
- if [[ $(gcc-major-version) -lt 4
- || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ) ]]
- then
- eerror "systemd requires at least gcc 4.6 to build. Please switch the active"
- eerror "gcc version using gcc-config."
- die "systemd requires at least gcc 4.6"
- fi
- fi
-
- if [[ ${MERGE_TYPE} != buildonly ]]; then
- if kernel_is -lt ${MINKV//./ }; then
- ewarn "Kernel version at least ${MINKV} required"
- fi
-
- if ! use firmware-loader && kernel_is -lt 3 8; then
- ewarn "You seem to be using kernel older than 3.8. Those kernel versions"
- ewarn "require systemd with USE=firmware-loader to support loading"
- ewarn "firmware. Missing this flag may cause some hardware not to work."
- fi
-
- check_extra_config
- fi
-}
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- local PATCHES=(
- "${WORKDIR}"/${PN}-gentoo-patchset*/*.patch
- )
-
- # Bug 463376
- sed -i -e 's/GROUP="dialout"/GROUP="uucp"/' rules/*.rules || die
-
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # Keep using the one where the rules were installed.
- MY_UDEVDIR=$(get_udevdir)
- # Fix systems broken by bug #509454.
- [[ ${MY_UDEVDIR} ]] || MY_UDEVDIR=/lib/udev
-
- multilib-minimal_src_configure
-}
-
-multilib_src_configure() {
- local myeconfargs=(
- --localstatedir=/var
- --with-pamlibdir=$(getpam_mod_dir)
- # avoid bash-completion dep
- --with-bashcompletiondir="$(get_bashcompdir)"
- # make sure we get /bin:/sbin in $PATH
- --enable-split-usr
- # disable sysv compatibility
- --with-sysvinit-path=
- --with-sysvrcnd-path=
- # no deps
- --enable-efi
- --enable-ima
- # optional components/dependencies
- $(use_enable acl)
- $(use_enable audit)
- $(use_enable cryptsetup libcryptsetup)
- $(use_enable doc gtk-doc)
- $(use_enable gcrypt)
- $(use_enable gudev)
- $(use_enable http microhttpd)
- $(use_enable introspection)
- $(use_enable kmod)
- $(use_enable lzma xz)
- $(use_enable pam)
- $(use_enable policykit polkit)
- $(use_enable python python-devel)
- $(use python && echo PYTHON_CONFIG=/usr/bin/python-config-${EPYTHON#python})
- $(use_enable qrcode qrencode)
- $(use_enable selinux)
- $(use_enable tcpd tcpwrap)
- $(use_enable test tests)
- $(use_enable xattr)
-
- # not supported (avoid automagic deps in the future)
- --disable-chkconfig
-
- # hardcode a few paths to spare some deps
- QUOTAON=/usr/sbin/quotaon
- QUOTACHECK=/usr/sbin/quotacheck
- )
-
- if use firmware-loader; then
- myeconfargs+=(
- --with-firmware-path="/lib/firmware/updates:/lib/firmware"
- )
- fi
-
- if ! multilib_is_native_abi; then
- myeconfargs+=(
- ac_cv_search_cap_init=
- ac_cv_header_sys_capability_h=yes
- DBUS_CFLAGS=' '
- DBUS_LIBS=' '
-
- --disable-acl
- --disable-audit
- --disable-gcrypt
- --disable-gtk-doc
- --disable-introspection
- --disable-kmod
- --disable-libcryptsetup
- --disable-microhttpd
- --disable-pam
- --disable-polkit
- --disable-qrencode
- --disable-selinux
- --disable-tcpwrap
- --disable-tests
- --disable-xattr
- --disable-xz
- --disable-python-devel
- )
- fi
-
- # Work around bug 463846.
- tc-export CC
-
- autotools-utils_src_configure
-}
-
-multilib_src_compile() {
- local mymakeopts=(
- udevlibexecdir="${MY_UDEVDIR}"
- )
-
- if multilib_is_native_abi; then
- emake "${mymakeopts[@]}"
- else
- # prerequisites for gudev
- use gudev && emake src/gudev/gudev{enumtypes,marshal}.{c,h}
-
- echo 'gentoo: $(lib_LTLIBRARIES) $(pkgconfiglib_DATA)' | \
- emake "${mymakeopts[@]}" -f Makefile -f - gentoo
- fi
-}
-
-multilib_src_test() {
- multilib_is_native_abi || continue
-
- default
-}
-
-multilib_src_install() {
- local mymakeopts=(
- # automake fails with parallel libtool relinking
- # https://bugs.gentoo.org/show_bug.cgi?id=491398
- -j1
-
- udevlibexecdir="${MY_UDEVDIR}"
- dist_udevhwdb_DATA=
- DESTDIR="${D}"
- )
-
- if multilib_is_native_abi; then
- emake "${mymakeopts[@]}" install
- else
- mymakeopts+=(
- install-libLTLIBRARIES
- install-pkgconfiglibDATA
- install-includeHEADERS
- # safe to call unconditionally, 'installs' empty list
- install-libgudev_includeHEADERS
- install-pkgincludeHEADERS
- )
-
- emake "${mymakeopts[@]}"
- fi
-}
-
-multilib_src_install_all() {
- prune_libtool_files --modules
- einstalldocs
-
- # we just keep sysvinit tools, so no need for the mans
- rm "${D}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 \
- || die
- rm "${D}"/usr/share/man/man1/init.1 || die
-
- # Disable storing coredumps in journald, bug #433457
- mv "${D}"/usr/lib/sysctl.d/50-coredump.conf{,.disabled} || die
-
- # Preserve empty dirs in /etc & /var, bug #437008
- keepdir /etc/binfmt.d /etc/modules-load.d /etc/tmpfiles.d \
- /etc/systemd/ntp-units.d /etc/systemd/user /var/lib/systemd
-
- # Symlink /etc/sysctl.conf for easy migration.
- dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
-}
-
-migrate_locale() {
- local envd_locale_def="${EROOT%/}/etc/env.d/02locale"
- local envd_locale=( "${EROOT%/}"/etc/env.d/??locale )
- local locale_conf="${EROOT%/}/etc/locale.conf"
-
- if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
- # if locale.conf does not exist...
- if [[ -e ${envd_locale} ]]; then
- # ...either copy env.d/??locale if there's one
- ebegin "Moving ${envd_locale} to ${locale_conf}"
- mv "${envd_locale}" "${locale_conf}"
- eend ${?} || FAIL=1
- else
- # ...or create a dummy default
- ebegin "Creating ${locale_conf}"
- cat > "${locale_conf}" <<-EOF
- # This file has been created by the sys-apps/systemd ebuild.
- # See locale.conf(5) and localectl(1).
-
- # LANG=${LANG}
- EOF
- eend ${?} || FAIL=1
- fi
- fi
-
- if [[ ! -L ${envd_locale} ]]; then
- # now, if env.d/??locale is not a symlink (to locale.conf)...
- if [[ -e ${envd_locale} ]]; then
- # ...warn the user that he has duplicate locale settings
- ewarn
- ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
- ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
- ewarn "and create the symlink with the following command:"
- ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
- ewarn
- else
- # ...or just create the symlink if there's nothing here
- ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
- ln -n -s ../locale.conf "${envd_locale_def}"
- eend ${?} || FAIL=1
- fi
- fi
-}
-
-pkg_postinst() {
- enewgroup systemd-journal
- if use http; then
- enewgroup systemd-journal-gateway
- enewuser systemd-journal-gateway -1 -1 -1 systemd-journal-gateway
- fi
- systemd_update_catalog
-
- # Keep this here in case the database format changes so it gets updated
- # when required. Despite that this file is owned by sys-apps/hwids.
- if has_version "sys-apps/hwids[udev]"; then
- udevadm hwdb --update --root="${ROOT%/}"
- fi
-
- udev_reload || FAIL=1
-
- # Bug 468876
- fcaps cap_dac_override,cap_sys_ptrace=ep usr/bin/systemd-detect-virt
-
- # Bug 465468, make sure locales are respect, and ensure consistency
- # between OpenRC & systemd
- migrate_locale
-
- if [[ ${FAIL} ]]; then
- eerror "One of the postinst commands failed. Please check the postinst output"
- eerror "for errors. You may need to clean up your system and/or try installing"
- eerror "systemd again."
- eerror
- fi
-
- if [[ ! -L "${ROOT}"/etc/mtab ]]; then
- ewarn "Upstream mandates the /etc/mtab file should be a symlink to /proc/mounts."
- ewarn "Not having it is not supported by upstream and will cause tools like 'df'"
- ewarn "and 'mount' to not work properly. Please run:"
- ewarn " # ln -sf '${ROOT}proc/self/mounts' '${ROOT}etc/mtab'"
- ewarn
- fi
-
- if ! has_version sys-apps/systemd-ui; then
- elog "To get additional features, a number of optional runtime dependencies may"
- elog "be installed:"
- elog "- sys-apps/systemd-ui: for GTK+ systemadm UI and gnome-ask-password-agent"
- fi
-}
-
-pkg_prerm() {
- # If removing systemd completely, remove the catalog database.
- if [[ ! ${REPLACED_BY_VERSION} ]]; then
- rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
- fi
-}
diff --git a/sys-apps/systemd/systemd-214.ebuild b/sys-apps/systemd/systemd-214.ebuild
deleted file mode 100644
index 5dc15e1a1cee..000000000000
--- a/sys-apps/systemd/systemd-214.ebuild
+++ /dev/null
@@ -1,461 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-214.ebuild,v 1.3 2014/06/24 22:17:59 mgorny Exp $
-
-EAPI=5
-
-AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
-PYTHON_COMPAT=( python{2_7,3_2,3_3} )
-inherit autotools-utils bash-completion-r1 fcaps linux-info multilib \
- multilib-minimal pam python-single-r1 systemd toolchain-funcs udev \
- user
-
-DESCRIPTION="System and service manager for Linux"
-HOMEPAGE="http://www.freedesktop.org/wiki/Software/systemd"
-SRC_URI="http://www.freedesktop.org/software/systemd/${P}.tar.xz"
-
-LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0/2"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="acl audit cryptsetup doc +firmware-loader gcrypt gudev http introspection
- kdbus +kmod lzma pam policykit python qrcode +seccomp selinux ssl
- test vanilla"
-
-MINKV="3.10"
-
-COMMON_DEPEND=">=sys-apps/util-linux-2.20:0=
- sys-libs/libcap:0=
- acl? ( sys-apps/acl:0= )
- audit? ( >=sys-process/audit-2:0= )
- cryptsetup? ( >=sys-fs/cryptsetup-1.6:0= )
- gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0= )
- gudev? ( >=dev-libs/glib-2.34.3:2=[${MULTILIB_USEDEP}] )
- http? (
- >=net-libs/libmicrohttpd-0.9.33:0=
- ssl? ( >=net-libs/gnutls-3.1.4:0= )
- )
- introspection? ( >=dev-libs/gobject-introspection-1.31.1:0= )
- kmod? ( >=sys-apps/kmod-15:0= )
- lzma? ( >=app-arch/xz-utils-5.0.5-r1:0=[${MULTILIB_USEDEP}] )
- pam? ( virtual/pam:= )
- python? ( ${PYTHON_DEPS} )
- qrcode? ( media-gfx/qrencode:0= )
- seccomp? ( sys-libs/libseccomp:0= )
- selinux? ( sys-libs/libselinux:0= )
- abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r9
- !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
-
-# baselayout-2.2 has /run
-RDEPEND="${COMMON_DEPEND}
- >=sys-apps/baselayout-2.2
- || (
- >=sys-apps/util-linux-2.22
- <sys-apps/sysvinit-2.88-r4
- )
- !sys-auth/nss-myhostname
- !<sys-libs/glibc-2.14
- !sys-fs/udev"
-
-# sys-apps/daemon: the daemon only (+ build-time lib dep for tests)
-PDEPEND=">=sys-apps/dbus-1.6.8-r1:0
- >=sys-apps/hwids-20130717-r1[udev]
- >=sys-fs/udev-init-scripts-25
- policykit? ( sys-auth/polkit )
- !vanilla? ( sys-apps/gentoo-systemd-integration )"
-
-# Newer linux-headers needed by ia64, bug #480218
-DEPEND="${COMMON_DEPEND}
- app-arch/xz-utils:0
- dev-util/gperf
- >=dev-util/intltool-0.50
- >=sys-devel/binutils-2.23.1
- >=sys-devel/gcc-4.6
- >=sys-kernel/linux-headers-${MINKV}
- ia64? ( >=sys-kernel/linux-headers-3.9 )
- virtual/pkgconfig
- doc? ( >=dev-util/gtk-doc-1.18 )
- python? ( dev-python/lxml[${PYTHON_USEDEP}] )
- test? ( >=sys-apps/dbus-1.6.8-r1:0 )"
-
-src_prepare() {
- # Bug 463376
- sed -i -e 's/GROUP="dialout"/GROUP="uucp"/' rules/*.rules || die
-
- autotools-utils_src_prepare
-}
-
-pkg_pretend() {
- local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS ~DEVTMPFS ~DMIID
- ~EPOLL ~FANOTIFY ~FHANDLE ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS
- ~SECCOMP ~SIGNALFD ~SYSFS ~TIMERFD ~TMPFS_XATTR
- ~!IDE ~!SYSFS_DEPRECATED ~!SYSFS_DEPRECATED_V2
- ~!GRKERNSEC_PROC"
-
- use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
- kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
- use firmware-loader || CONFIG_CHECK+=" ~!FW_LOADER_USER_HELPER"
-
- if linux_config_exists; then
- local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
- if [ -n "${uevent_helper_path}" ] && [ "${uevent_helper_path}" != '""' ]; then
- ewarn "It's recommended to set an empty value to the following kernel config option:"
- ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
- fi
- fi
-
- if [[ ${MERGE_TYPE} != binary ]]; then
- if [[ $(gcc-major-version) -lt 4
- || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ) ]]
- then
- eerror "systemd requires at least gcc 4.6 to build. Please switch the active"
- eerror "gcc version using gcc-config."
- die "systemd requires at least gcc 4.6"
- fi
- fi
-
- if [[ ${MERGE_TYPE} != buildonly ]]; then
- if kernel_is -lt ${MINKV//./ }; then
- ewarn "Kernel version at least ${MINKV} required"
- fi
-
- if ! use firmware-loader && kernel_is -lt 3 8; then
- ewarn "You seem to be using kernel older than 3.8. Those kernel versions"
- ewarn "require systemd with USE=firmware-loader to support loading"
- ewarn "firmware. Missing this flag may cause some hardware not to work."
- fi
-
- check_extra_config
- fi
-}
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_configure() {
- # Keep using the one where the rules were installed.
- MY_UDEVDIR=$(get_udevdir)
- # Fix systems broken by bug #509454.
- [[ ${MY_UDEVDIR} ]] || MY_UDEVDIR=/lib/udev
-
- multilib-minimal_src_configure
-}
-
-multilib_src_configure() {
- local myeconfargs=(
- # disable -flto since it is an optimization flag
- # and makes distcc less effective
- cc_cv_CFLAGS__flto=no
-
- --disable-maintainer-mode
- --localstatedir=/var
- --with-pamlibdir=$(getpam_mod_dir)
- # avoid bash-completion dep
- --with-bashcompletiondir="$(get_bashcompdir)"
- # make sure we get /bin:/sbin in $PATH
- --enable-split-usr
- # disable sysv compatibility
- --with-sysvinit-path=
- --with-sysvrcnd-path=
- # no deps
- --enable-efi
- --enable-ima
- # optional components/dependencies
- $(use_enable acl)
- $(use_enable audit)
- $(use_enable cryptsetup libcryptsetup)
- $(use_enable doc gtk-doc)
- $(use_enable gcrypt)
- $(use_enable gudev)
- $(use_enable http microhttpd)
- $(usex http $(use_enable ssl gnutls) --disable-gnutls)
- $(use_enable introspection)
- $(use_enable kdbus)
- $(use_enable kmod)
- $(use_enable lzma xz)
- $(use_enable pam)
- $(use_enable policykit polkit)
- $(use_with python)
- $(use_enable python python-devel)
- $(use_enable qrcode qrencode)
- $(use_enable seccomp)
- $(use_enable selinux)
- $(use_enable test tests)
-
- # not supported (avoid automagic deps in the future)
- --disable-chkconfig
-
- # hardcode a few paths to spare some deps
- QUOTAON=/usr/sbin/quotaon
- QUOTACHECK=/usr/sbin/quotacheck
-
- # dbus paths
- --with-dbuspolicydir="${EPREFIX}/etc/dbus-1/system.d"
- --with-dbussessionservicedir="${EPREFIX}/usr/share/dbus-1/services"
- --with-dbussystemservicedir="${EPREFIX}/usr/share/dbus-1/system-services"
- --with-dbusinterfacedir="${EPREFIX}/usr/share/dbus-1/interfaces"
-
- --with-ntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
- )
-
- if use firmware-loader; then
- myeconfargs+=(
- --with-firmware-path="/lib/firmware/updates:/lib/firmware"
- )
- fi
-
- # Added for testing; this is UNSUPPORTED by the Gentoo systemd team!
- if [[ -n ${ROOTPREFIX+set} ]]; then
- myeconfargs+=(
- --with-rootprefix="${ROOTPREFIX}"
- --with-rootlibdir="${ROOTPREFIX}/$(get_libdir)"
- )
- fi
-
- if ! multilib_is_native_abi; then
- myeconfargs+=(
- ac_cv_search_cap_init=
- ac_cv_header_sys_capability_h=yes
- DBUS_CFLAGS=' '
- DBUS_LIBS=' '
-
- --disable-acl
- --disable-audit
- --disable-gcrypt
- --disable-gnutls
- --disable-gtk-doc
- --disable-introspection
- --disable-kmod
- --disable-libcryptsetup
- --disable-microhttpd
- --disable-networkd
- --disable-pam
- --disable-polkit
- --disable-qrencode
- --disable-seccomp
- --disable-selinux
- --disable-timesyncd
- --disable-tests
- --disable-xz
- --disable-python-devel
- )
- fi
-
- # Work around bug 463846.
- tc-export CC
-
- autotools-utils_src_configure
-}
-
-multilib_src_compile() {
- local mymakeopts=(
- udevlibexecdir="${MY_UDEVDIR}"
- )
-
- if multilib_is_native_abi; then
- emake "${mymakeopts[@]}"
- else
- # prerequisites for gudev
- use gudev && emake src/gudev/gudev{enumtypes,marshal}.{c,h}
-
- echo 'gentoo: $(BUILT_SOURCES)' | \
- emake "${mymakeopts[@]}" -f Makefile -f - gentoo
- echo 'gentoo: $(lib_LTLIBRARIES) $(pkgconfiglib_DATA)' | \
- emake "${mymakeopts[@]}" -f Makefile -f - gentoo
- fi
-}
-
-multilib_src_test() {
- multilib_is_native_abi || continue
-
- default
-}
-
-multilib_src_install() {
- local mymakeopts=(
- # automake fails with parallel libtool relinking
- # https://bugs.gentoo.org/show_bug.cgi?id=491398
- -j1
-
- udevlibexecdir="${MY_UDEVDIR}"
- dist_udevhwdb_DATA=
- DESTDIR="${D}"
- )
-
- if multilib_is_native_abi; then
- emake "${mymakeopts[@]}" install
- # Even with --enable-networkd, it's not right to have this running by default
- # when it's unconfigured.
- rm -f "${D}"/etc/systemd/system/multi-user.target.wants/systemd-networkd.service
- else
- mymakeopts+=(
- install-libLTLIBRARIES
- install-pkgconfiglibDATA
- install-includeHEADERS
- # safe to call unconditionally, 'installs' empty list
- install-libgudev_includeHEADERS
- install-pkgincludeHEADERS
- )
-
- emake "${mymakeopts[@]}"
- fi
-
- # install compat pkg-config files
- local pcfiles=( src/compat-libs/libsystemd-{daemon,id128,journal,login}.pc )
- emake "${mymakeopts[@]}" install-pkgconfiglibDATA \
- pkgconfiglib_DATA="${pcfiles[*]}"
-}
-
-multilib_src_install_all() {
- prune_libtool_files --modules
- einstalldocs
-
- # we just keep sysvinit tools, so no need for the mans
- rm "${D}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 \
- || die
- rm "${D}"/usr/share/man/man1/init.1 || die
-
- # Disable storing coredumps in journald, bug #433457
- mv "${D}"/usr/lib/sysctl.d/50-coredump.conf{,.disabled} || die
-
- # Preserve empty dirs in /etc & /var, bug #437008
- keepdir /etc/binfmt.d /etc/modules-load.d /etc/tmpfiles.d \
- /etc/systemd/ntp-units.d /etc/systemd/user /var/lib/systemd
-
- # Symlink /etc/sysctl.conf for easy migration.
- dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
-}
-
-migrate_locale() {
- local envd_locale_def="${EROOT%/}/etc/env.d/02locale"
- local envd_locale=( "${EROOT%/}"/etc/env.d/??locale )
- local locale_conf="${EROOT%/}/etc/locale.conf"
-
- if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
- # If locale.conf does not exist...
- if [[ -e ${envd_locale} ]]; then
- # ...either copy env.d/??locale if there's one
- ebegin "Moving ${envd_locale} to ${locale_conf}"
- mv "${envd_locale}" "${locale_conf}"
- eend ${?} || FAIL=1
- else
- # ...or create a dummy default
- ebegin "Creating ${locale_conf}"
- cat > "${locale_conf}" <<-EOF
- # This file has been created by the sys-apps/systemd ebuild.
- # See locale.conf(5) and localectl(1).
-
- # LANG=${LANG}
- EOF
- eend ${?} || FAIL=1
- fi
- fi
-
- if [[ ! -L ${envd_locale} ]]; then
- # now, if env.d/??locale is not a symlink (to locale.conf)...
- if [[ -e ${envd_locale} ]]; then
- # ...warn the user that he has duplicate locale settings
- ewarn
- ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
- ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
- ewarn "and create the symlink with the following command:"
- ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
- ewarn
- else
- # ...or just create the symlink if there's nothing here
- ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
- ln -n -s ../locale.conf "${envd_locale_def}"
- eend ${?} || FAIL=1
- fi
- fi
-}
-
-migrate_net_name_slot() {
- # If user has disabled 80-net-name-slot.rules using a empty file or a symlink to /dev/null,
- # do the same for 80-net-setup-link.rules to keep the old behavior
- local net_move=no
- local net_name_slot_sym=no
- local net_rules_path="${EROOT%/}"/etc/udev/rules.d
- local net_name_slot="${net_rules_path}"/80-net-name-slot.rules
- local net_setup_link="${net_rules_path}"/80-net-setup-link.rules
- if [[ -e ${net_setup_link} ]]; then
- net_move=no
- elif [[ -f ${net_name_slot} && $(sed -e "/^#/d" -e "/^\W*$/d" ${net_name_slot} | wc -l) == 0 ]]; then
- net_move=yes
- elif [[ -L ${net_name_slot} && $(readlink ${net_name_slot}) == /dev/null ]]; then
- net_move=yes
- net_name_slot_sym=yes
- fi
- if [[ ${net_move} == yes ]]; then
- ebegin "Copying ${net_name_slot} to ${net_setup_link}"
-
- if [[ ${net_name_slot_sym} == yes ]]; then
- ln -nfs /dev/null "${net_setup_link}"
- else
- cp "${net_name_slot}" "${net_setup_link}"
- fi
- eend $? || FAIL=1
- fi
-}
-
-pkg_postinst() {
- newusergroup() {
- enewgroup "$1"
- enewuser "$1" -1 -1 -1 "$1"
- }
-
- enewgroup systemd-journal
- newusergroup systemd-bus-proxy
- newusergroup systemd-network
- newusergroup systemd-resolve
- newusergroup systemd-timesync
- use http && newusergroup systemd-journal-gateway
-
- systemd_update_catalog
-
- # Keep this here in case the database format changes so it gets updated
- # when required. Despite that this file is owned by sys-apps/hwids.
- if has_version "sys-apps/hwids[udev]"; then
- udevadm hwdb --update --root="${ROOT%/}"
- fi
-
- udev_reload || FAIL=1
-
- # Bug 468876
- fcaps cap_dac_override,cap_sys_ptrace=ep usr/bin/systemd-detect-virt
-
- # Bug 465468, make sure locales are respect, and ensure consistency
- # between OpenRC & systemd
- migrate_locale
-
- # Migrate 80-net-name-slot.rules -> 80-net-setup-link.rules
- migrate_net_name_slot
-
- if [[ ${FAIL} ]]; then
- eerror "One of the postinst commands failed. Please check the postinst output"
- eerror "for errors. You may need to clean up your system and/or try installing"
- eerror "systemd again."
- eerror
- fi
-
- if [[ ! -L "${ROOT}"/etc/mtab ]]; then
- ewarn "Upstream mandates the /etc/mtab file should be a symlink to /proc/mounts."
- ewarn "Not having it is not supported by upstream and will cause tools like 'df'"
- ewarn "and 'mount' to not work properly. Please run:"
- ewarn " # ln -sf '${ROOT}proc/self/mounts' '${ROOT}etc/mtab'"
- ewarn
- fi
-
- if ! has_version sys-apps/systemd-ui; then
- elog "To get additional features, a number of optional runtime dependencies may"
- elog "be installed:"
- elog "- sys-apps/systemd-ui: for GTK+ systemadm UI and gnome-ask-password-agent"
- fi
-}
-
-pkg_prerm() {
- # If removing systemd completely, remove the catalog database.
- if [[ ! ${REPLACED_BY_VERSION} ]]; then
- rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
- fi
-}
diff --git a/sys-apps/systemd/systemd-214_p57.ebuild b/sys-apps/systemd/systemd-214_p57.ebuild
deleted file mode 100644
index 6f458b4619b9..000000000000
--- a/sys-apps/systemd/systemd-214_p57.ebuild
+++ /dev/null
@@ -1,468 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-214_p57.ebuild,v 1.1 2014/07/04 03:10:20 floppym Exp $
-
-EAPI=5
-
-AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
-PYTHON_COMPAT=( python{2_7,3_2,3_3} )
-inherit autotools-utils bash-completion-r1 fcaps linux-info multilib \
- multilib-minimal pam python-single-r1 systemd toolchain-funcs udev \
- user
-
-DESCRIPTION="System and service manager for Linux"
-HOMEPAGE="http://www.freedesktop.org/wiki/Software/systemd"
-MY_P=${P%_p*}
-SRC_URI="http://www.freedesktop.org/software/systemd/${MY_P}.tar.xz
- http://dev.gentoo.org/~floppym/dist/systemd-stable-${PV}.tar.xz"
-
-LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0/2"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="acl audit cryptsetup doc +firmware-loader gcrypt gudev http introspection
- kdbus +kmod lzma pam policykit python qrcode +seccomp selinux ssl
- test vanilla"
-
-MINKV="3.10"
-
-COMMON_DEPEND=">=sys-apps/util-linux-2.20:0=
- sys-libs/libcap:0=
- acl? ( sys-apps/acl:0= )
- audit? ( >=sys-process/audit-2:0= )
- cryptsetup? ( >=sys-fs/cryptsetup-1.6:0= )
- gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0= )
- gudev? ( >=dev-libs/glib-2.34.3:2=[${MULTILIB_USEDEP}] )
- http? (
- >=net-libs/libmicrohttpd-0.9.33:0=
- ssl? ( >=net-libs/gnutls-3.1.4:0= )
- )
- introspection? ( >=dev-libs/gobject-introspection-1.31.1:0= )
- kmod? ( >=sys-apps/kmod-15:0= )
- lzma? ( >=app-arch/xz-utils-5.0.5-r1:0=[${MULTILIB_USEDEP}] )
- pam? ( virtual/pam:= )
- python? ( ${PYTHON_DEPS} )
- qrcode? ( media-gfx/qrencode:0= )
- seccomp? ( sys-libs/libseccomp:0= )
- selinux? ( sys-libs/libselinux:0= )
- abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r9
- !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
-
-# baselayout-2.2 has /run
-RDEPEND="${COMMON_DEPEND}
- >=sys-apps/baselayout-2.2
- || (
- >=sys-apps/util-linux-2.22
- <sys-apps/sysvinit-2.88-r4
- )
- !sys-auth/nss-myhostname
- !<sys-libs/glibc-2.14
- !sys-fs/udev"
-
-# sys-apps/daemon: the daemon only (+ build-time lib dep for tests)
-PDEPEND=">=sys-apps/dbus-1.6.8-r1:0
- >=sys-apps/hwids-20130717-r1[udev]
- >=sys-fs/udev-init-scripts-25
- policykit? ( sys-auth/polkit )
- !vanilla? ( sys-apps/gentoo-systemd-integration )"
-
-# Newer linux-headers needed by ia64, bug #480218
-DEPEND="${COMMON_DEPEND}
- app-arch/xz-utils:0
- dev-util/gperf
- >=dev-util/intltool-0.50
- >=sys-devel/binutils-2.23.1
- >=sys-devel/gcc-4.6
- >=sys-kernel/linux-headers-${MINKV}
- ia64? ( >=sys-kernel/linux-headers-3.9 )
- virtual/pkgconfig
- doc? ( >=dev-util/gtk-doc-1.18 )
- python? ( dev-python/lxml[${PYTHON_USEDEP}] )
- test? ( >=sys-apps/dbus-1.6.8-r1:0 )"
-
-S=${WORKDIR}/${MY_P}
-
-src_prepare() {
- # Bug 463376
- sed -i -e 's/GROUP="dialout"/GROUP="uucp"/' rules/*.rules || die
-
- EPATCH_FORCE=yes EPATCH_SUFFIX=patch epatch "${WORKDIR}/patches"
-
- autotools-utils_src_prepare
-}
-
-pkg_pretend() {
- local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS ~DEVTMPFS ~DMIID
- ~EPOLL ~FANOTIFY ~FHANDLE ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS
- ~SECCOMP ~SIGNALFD ~SYSFS ~TIMERFD ~TMPFS_XATTR
- ~!IDE ~!SYSFS_DEPRECATED ~!SYSFS_DEPRECATED_V2
- ~!GRKERNSEC_PROC"
-
- use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
- kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
- use firmware-loader || CONFIG_CHECK+=" ~!FW_LOADER_USER_HELPER"
-
- if linux_config_exists; then
- local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
- if [ -n "${uevent_helper_path}" ] && [ "${uevent_helper_path}" != '""' ]; then
- ewarn "It's recommended to set an empty value to the following kernel config option:"
- ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
- fi
- fi
-
- if [[ ${MERGE_TYPE} != binary ]]; then
- if [[ $(gcc-major-version) -lt 4
- || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ) ]]
- then
- eerror "systemd requires at least gcc 4.6 to build. Please switch the active"
- eerror "gcc version using gcc-config."
- die "systemd requires at least gcc 4.6"
- fi
- fi
-
- if [[ ${MERGE_TYPE} != buildonly ]]; then
- if kernel_is -lt ${MINKV//./ }; then
- ewarn "Kernel version at least ${MINKV} required"
- fi
-
- if ! use firmware-loader && kernel_is -lt 3 8; then
- ewarn "You seem to be using kernel older than 3.8. Those kernel versions"
- ewarn "require systemd with USE=firmware-loader to support loading"
- ewarn "firmware. Missing this flag may cause some hardware not to work."
- fi
-
- check_extra_config
- fi
-}
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_configure() {
- # Keep using the one where the rules were installed.
- MY_UDEVDIR=$(get_udevdir)
- # Fix systems broken by bug #509454.
- [[ ${MY_UDEVDIR} ]] || MY_UDEVDIR=/lib/udev
-
- multilib-minimal_src_configure
-}
-
-multilib_src_configure() {
- local myeconfargs=(
- # disable -flto since it is an optimization flag
- # and makes distcc less effective
- cc_cv_CFLAGS__flto=no
-
- --disable-maintainer-mode
- --localstatedir=/var
- --with-pamlibdir=$(getpam_mod_dir)
- # avoid bash-completion dep
- --with-bashcompletiondir="$(get_bashcompdir)"
- # make sure we get /bin:/sbin in $PATH
- --enable-split-usr
- # disable sysv compatibility
- --with-sysvinit-path=
- --with-sysvrcnd-path=
- # no deps
- --enable-efi
- --enable-ima
- # optional components/dependencies
- $(use_enable acl)
- $(use_enable audit)
- $(use_enable cryptsetup libcryptsetup)
- $(use_enable doc gtk-doc)
- $(use_enable gcrypt)
- $(use_enable gudev)
- $(use_enable http microhttpd)
- $(usex http $(use_enable ssl gnutls) --disable-gnutls)
- $(use_enable introspection)
- $(use_enable kdbus)
- $(use_enable kmod)
- $(use_enable lzma xz)
- $(use_enable pam)
- $(use_enable policykit polkit)
- $(use_with python)
- $(use_enable python python-devel)
- $(use_enable qrcode qrencode)
- $(use_enable seccomp)
- $(use_enable selinux)
- $(use_enable test tests)
-
- # not supported (avoid automagic deps in the future)
- --disable-chkconfig
-
- # hardcode a few paths to spare some deps
- QUOTAON=/usr/sbin/quotaon
- QUOTACHECK=/usr/sbin/quotacheck
-
- # dbus paths
- --with-dbuspolicydir="${EPREFIX}/etc/dbus-1/system.d"
- --with-dbussessionservicedir="${EPREFIX}/usr/share/dbus-1/services"
- --with-dbussystemservicedir="${EPREFIX}/usr/share/dbus-1/system-services"
- --with-dbusinterfacedir="${EPREFIX}/usr/share/dbus-1/interfaces"
-
- --with-ntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
- )
-
- if use firmware-loader; then
- myeconfargs+=(
- --with-firmware-path="/lib/firmware/updates:/lib/firmware"
- )
- fi
-
- # Added for testing; this is UNSUPPORTED by the Gentoo systemd team!
- if [[ -n ${ROOTPREFIX+set} ]]; then
- myeconfargs+=(
- --with-rootprefix="${ROOTPREFIX}"
- --with-rootlibdir="${ROOTPREFIX}/$(get_libdir)"
- )
- fi
-
- if ! multilib_is_native_abi; then
- myeconfargs+=(
- ac_cv_search_cap_init=
- ac_cv_header_sys_capability_h=yes
- DBUS_CFLAGS=' '
- DBUS_LIBS=' '
-
- --disable-acl
- --disable-audit
- --disable-gcrypt
- --disable-gnutls
- --disable-gtk-doc
- --disable-introspection
- --disable-kmod
- --disable-libcryptsetup
- --disable-microhttpd
- --disable-networkd
- --disable-pam
- --disable-polkit
- --disable-qrencode
- --disable-seccomp
- --disable-selinux
- --disable-timesyncd
- --disable-tests
- --disable-xz
- --disable-python-devel
- )
- fi
-
- # Work around bug 463846.
- tc-export CC
-
- autotools-utils_src_configure
-}
-
-multilib_src_compile() {
- local mymakeopts=(
- udevlibexecdir="${MY_UDEVDIR}"
- )
-
- if multilib_is_native_abi; then
- emake "${mymakeopts[@]}"
- else
- # prerequisites for gudev
- use gudev && emake src/gudev/gudev{enumtypes,marshal}.{c,h}
-
- echo 'gentoo: $(BUILT_SOURCES)' | \
- emake "${mymakeopts[@]}" -f Makefile -f - gentoo
- echo 'gentoo: $(lib_LTLIBRARIES) $(pkgconfiglib_DATA)' | \
- emake "${mymakeopts[@]}" -f Makefile -f - gentoo
- fi
-}
-
-multilib_src_test() {
- multilib_is_native_abi || continue
-
- default
-}
-
-multilib_src_install() {
- local mymakeopts=(
- # automake fails with parallel libtool relinking
- # https://bugs.gentoo.org/show_bug.cgi?id=491398
- -j1
-
- udevlibexecdir="${MY_UDEVDIR}"
- dist_udevhwdb_DATA=
- DESTDIR="${D}"
- )
-
- if multilib_is_native_abi; then
- emake "${mymakeopts[@]}" install
- # Even with --enable-networkd, it's not right to have this running by default
- # when it's unconfigured.
- rm -f "${D}"/etc/systemd/system/multi-user.target.wants/systemd-networkd.service
- else
- mymakeopts+=(
- install-libLTLIBRARIES
- install-pkgconfiglibDATA
- install-includeHEADERS
- # safe to call unconditionally, 'installs' empty list
- install-libgudev_includeHEADERS
- install-pkgincludeHEADERS
- )
-
- emake "${mymakeopts[@]}"
- fi
-
- # install compat pkg-config files
- local pcfiles=( src/compat-libs/libsystemd-{daemon,id128,journal,login}.pc )
- emake "${mymakeopts[@]}" install-pkgconfiglibDATA \
- pkgconfiglib_DATA="${pcfiles[*]}"
-}
-
-multilib_src_install_all() {
- prune_libtool_files --modules
- einstalldocs
-
- # we just keep sysvinit tools, so no need for the mans
- rm "${D}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 \
- || die
- rm "${D}"/usr/share/man/man1/init.1 || die
-
- # Disable storing coredumps in journald, bug #433457
- mv "${D}"/usr/lib/sysctl.d/50-coredump.conf{,.disabled} || die
-
- # Preserve empty dirs in /etc & /var, bug #437008
- keepdir /etc/binfmt.d /etc/modules-load.d /etc/tmpfiles.d \
- /etc/systemd/ntp-units.d /etc/systemd/user /var/lib/systemd
-
- # Symlink /etc/sysctl.conf for easy migration.
- dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
-}
-
-migrate_locale() {
- local envd_locale_def="${EROOT%/}/etc/env.d/02locale"
- local envd_locale=( "${EROOT%/}"/etc/env.d/??locale )
- local locale_conf="${EROOT%/}/etc/locale.conf"
-
- if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
- # If locale.conf does not exist...
- if [[ -e ${envd_locale} ]]; then
- # ...either copy env.d/??locale if there's one
- ebegin "Moving ${envd_locale} to ${locale_conf}"
- mv "${envd_locale}" "${locale_conf}"
- eend ${?} || FAIL=1
- else
- # ...or create a dummy default
- ebegin "Creating ${locale_conf}"
- cat > "${locale_conf}" <<-EOF
- # This file has been created by the sys-apps/systemd ebuild.
- # See locale.conf(5) and localectl(1).
-
- # LANG=${LANG}
- EOF
- eend ${?} || FAIL=1
- fi
- fi
-
- if [[ ! -L ${envd_locale} ]]; then
- # now, if env.d/??locale is not a symlink (to locale.conf)...
- if [[ -e ${envd_locale} ]]; then
- # ...warn the user that he has duplicate locale settings
- ewarn
- ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
- ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
- ewarn "and create the symlink with the following command:"
- ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
- ewarn
- else
- # ...or just create the symlink if there's nothing here
- ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
- ln -n -s ../locale.conf "${envd_locale_def}"
- eend ${?} || FAIL=1
- fi
- fi
-}
-
-migrate_net_name_slot() {
- # If user has disabled 80-net-name-slot.rules using a empty file or a symlink to /dev/null,
- # do the same for 80-net-setup-link.rules to keep the old behavior
- local net_move=no
- local net_name_slot_sym=no
- local net_rules_path="${EROOT%/}"/etc/udev/rules.d
- local net_name_slot="${net_rules_path}"/80-net-name-slot.rules
- local net_setup_link="${net_rules_path}"/80-net-setup-link.rules
- if [[ -e ${net_setup_link} ]]; then
- net_move=no
- elif [[ -f ${net_name_slot} && $(sed -e "/^#/d" -e "/^\W*$/d" ${net_name_slot} | wc -l) == 0 ]]; then
- net_move=yes
- elif [[ -L ${net_name_slot} && $(readlink ${net_name_slot}) == /dev/null ]]; then
- net_move=yes
- net_name_slot_sym=yes
- fi
- if [[ ${net_move} == yes ]]; then
- ebegin "Copying ${net_name_slot} to ${net_setup_link}"
-
- if [[ ${net_name_slot_sym} == yes ]]; then
- ln -nfs /dev/null "${net_setup_link}"
- else
- cp "${net_name_slot}" "${net_setup_link}"
- fi
- eend $? || FAIL=1
- fi
-}
-
-pkg_postinst() {
- newusergroup() {
- enewgroup "$1"
- enewuser "$1" -1 -1 -1 "$1"
- }
-
- enewgroup input
- enewgroup systemd-journal
- newusergroup systemd-bus-proxy
- newusergroup systemd-network
- newusergroup systemd-resolve
- newusergroup systemd-timesync
- use http && newusergroup systemd-journal-gateway
-
- systemd_update_catalog
-
- # Keep this here in case the database format changes so it gets updated
- # when required. Despite that this file is owned by sys-apps/hwids.
- if has_version "sys-apps/hwids[udev]"; then
- udevadm hwdb --update --root="${ROOT%/}"
- fi
-
- udev_reload || FAIL=1
-
- # Bug 468876
- fcaps cap_dac_override,cap_sys_ptrace=ep usr/bin/systemd-detect-virt
-
- # Bug 465468, make sure locales are respect, and ensure consistency
- # between OpenRC & systemd
- migrate_locale
-
- # Migrate 80-net-name-slot.rules -> 80-net-setup-link.rules
- migrate_net_name_slot
-
- if [[ ${FAIL} ]]; then
- eerror "One of the postinst commands failed. Please check the postinst output"
- eerror "for errors. You may need to clean up your system and/or try installing"
- eerror "systemd again."
- eerror
- fi
-
- if [[ ! -L "${ROOT}"/etc/mtab ]]; then
- ewarn "Upstream mandates the /etc/mtab file should be a symlink to /proc/mounts."
- ewarn "Not having it is not supported by upstream and will cause tools like 'df'"
- ewarn "and 'mount' to not work properly. Please run:"
- ewarn " # ln -sf '${ROOT}proc/self/mounts' '${ROOT}etc/mtab'"
- ewarn
- fi
-
- if ! has_version sys-apps/systemd-ui; then
- elog "To get additional features, a number of optional runtime dependencies may"
- elog "be installed:"
- elog "- sys-apps/systemd-ui: for GTK+ systemadm UI and gnome-ask-password-agent"
- fi
-}
-
-pkg_prerm() {
- # If removing systemd completely, remove the catalog database.
- if [[ ! ${REPLACED_BY_VERSION} ]]; then
- rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
- fi
-}
diff --git a/sys-apps/systemd/systemd-215-r1.ebuild b/sys-apps/systemd/systemd-215-r1.ebuild
index 1eccc1c3a344..bb4a31b61bd6 100644
--- a/sys-apps/systemd/systemd-215-r1.ebuild
+++ b/sys-apps/systemd/systemd-215-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-215-r1.ebuild,v 1.4 2014/07/15 10:01:25 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-215-r1.ebuild,v 1.5 2014/07/15 18:30:40 pacho Exp $
EAPI=5
@@ -79,6 +79,11 @@ DEPEND="${COMMON_DEPEND}
test? ( >=sys-apps/dbus-1.6.8-r1:0 )"
src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${PV}-0001-always-check-for-__BYTE_ORDER-__BIG_ENDIAN-when-chec.patch"
+ "${FILESDIR}/${PV}-0002-endian-explicitly-include-endian.h-wherever-we-want-.patch"
+ )
+
# Bug 463376
sed -i -e 's/GROUP="dialout"/GROUP="uucp"/' rules/*.rules || die